# This file created by conda-build 3.16.3
# meta.yaml template originally from:
# /Users/gitlab/builds/b6d3167a/0/bob/bob.conda/conda/dlib, last modified Thu Jul 25 16:29:08 2019
# ------------------------------------------------

package:
    name: dlib
    version: '19.7'
source:
    patches:
        - lapack_sgetrf.patch
        - osx_jpeg.patch
    sha1: 6dfc0dfa1cd45baa39a9b03238b222cd59041194
    url: https://github.com/davisking/dlib/archive/v19.7.tar.gz
build:
    number: '2'
    requires_features:
        blas: '2019.1'
    string: py37h56cabac_2
requirements:
    build:
        - bzip2 1.0.8 h1de35cc_0
        - ca-certificates 2019.5.15 0
        - cctools 895 1
        - clang 4.0.1 1
        - clang_osx-64 4.0.1 h1ce6c1d_16
        - clangxx 4.0.1 1
        - clangxx_osx-64 4.0.1 h22b1bf0_16
        - cmake 3.14.0 haff7e42_0
        - compiler-rt 4.0.1 hcfea43d_1
        - expat 2.2.6 h0a44026_0
        - krb5 1.16.1 hddcf347_7
        - ld64 274.2 1
        - libcurl 7.65.2 h051b688_0
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libedit 3.1.20181209 hb402a30_0
        - libiconv 1.15 hdd342a3_7
        - libssh2 1.8.2 ha12b0ac_0
        - llvm 4.0.1 1
        - llvm-lto-tapi 4.0.1 1
        - ncurses 6.1 h0a44026_1
        - openssl 1.1.1c h1de35cc_1
        - pkg-config 0.29.2 h3efe00b_8
        - rhash 1.3.8 ha12b0ac_0
        - tk 8.6.8 ha441bb4_0
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 h1de35cc_3
    host:
        - blas 1.0 mkl
        - bzip2 1.0.8 h1de35cc_0
        - ca-certificates 2019.5.15 0
        - icu 58.2 h4b95b61_1
        - intel-openmp 2019.4 233
        - jpeg 9b he5867d9_2
        - libboost 1.67.0 hebc422b_4
        - libcxx 4.0.1 hcfea43d_1
        - libcxxabi 4.0.1 hcfea43d_1
        - libedit 3.1.20181209 hb402a30_0
        - libffi 3.2.1 h475c297_4
        - libgfortran 3.0.1 h93005f0_2
        - libiconv 1.15 hdd342a3_7
        - libpng 1.6.35 ha441bb4_0
        - mkl 2019.1 144
        - mkl-devel 2019.1 144
        - mkl-include 2019.1 144
        - mkl_fft 1.0.10 py37h5e564d8_0
        - mkl_random 1.0.2 py37h27c97d8_0
        - ncurses 6.1 h0a44026_1
        - numpy 1.15.4 py37hacdab7b_0
        - numpy-base 1.15.4 py37h6575580_0
        - openssl 1.1.1c h1de35cc_1
        - py-boost 1.67.0 py37h6440ff4_4
        - python 3.7.3 h359304d_0
        - readline 7.0 h1de35cc_5
        - sqlite 3.29.0 ha441bb4_0
        - tk 8.6.8 ha441bb4_0
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 h1de35cc_3
    run:
        - blas 1.0 mkl
        - jpeg >=9b,<10a
        - libcxx >=4.0.1
        - libpng >=1.6.35,<1.7.0a0
        - mkl >=2019.1,<2020.0a0
        - numpy >=1.15.4,<2.0a0
        - py-boost 1.67.0.*
        - python >=3.7,<3.8.0a0
        - sqlite >=3.29.0,<4.0a0
test:
    commands:
        - conda inspect linkages -p $PREFIX dlib
        - conda inspect objects -p $PREFIX dlib
    files:
        - face.jpg
        - face.png
        - images.xml
    imports:
        - dlib
    requires:
        - pillow
        - tqdm
about:
    home: http://dlib.net/
    license: Boost 1.0
    license_file: dlib/LICENSE.txt
    summary: Modern C++ toolkit containing machine learning algorithms with Python
        bindings
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - amohammadi
        - anjos
        - tiago.pereira
